---
title: "CheckboxInput"
generated: true
---
<GenerationInfo sourceFile="packages/dashboard/src/lib/components/data-input/checkbox-input.tsx" sourceLine="12" packageName="@vendure/dashboard" />

Displays a boolean value as a checkbox.

```ts title="Signature"
function CheckboxInput(props: Readonly<DashboardFormComponentProps>): void
```
Parameters

### props

<MemberInfo kind="parameter" type={``Readonly<`<a href='/reference/dashboard/extensions-api/form-components#dashboardformcomponentprops'>DashboardFormComponentProps</a>`>``} />

